// #ifndef VUE3
import Vue from 'vue'
import App from './App'
import axios from "axios"
import qs from 'qs'

// 公共函数
import utils from '@/utils/common.js';

//引入公共接口
import {
	myRequest
} from '@/utils/api.js'

App.mpType = 'app'
//挂载全局
Vue.prototype.$utils = utils;
Vue.prototype.$myRequest = myRequest
Vue.prototype.$axios = axios;
Vue.prototype.$qs = qs;

utils.storeEncryptedData('cardNumber', utils.getUrlKey('cardNumber'))
utils.storeEncryptedData('token', utils.getUrlKey('token'))
utils.storeEncryptedData('errorMsg', utils.getUrlKey('errorMsg'))

// console.log('main.js:cardNumber', utils.getEncryptedData('cardNumber'))
// console.log('main.js:token', utils.getEncryptedData('token'))
// console.log('main.js:errorMsg', utils.getEncryptedData('errorMsg'))

Vue.config.productionTip = false

const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'

import App from './App.vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif